<div class="main">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <nav class="navbar navbar-expand-md navbar-blue">
          <a [routerLink]="['/home']"><span class="site-name">News NG</span></a>

          <button class="navbar-toggler ml-auto custom-toggler" type="button" data-toggle="collapse"
            (click)="isCollapsed= !isCollapsed">
            <span class="navbar-toggler-icon"></span>
          </button>

          <!-- The menu items starts here -->
          <div class="collapse navbar-collapse" [ngbCollapse]="isCollapsed" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="navbar-link {{this.router.url === '/home'?'active':''}}"><a class="text-center" [routerLink]="['/home']">Home</a></li>
              <li class="navbar-link {{this.router.url === '/profile'?'active':''}}"><a class="text-center" [routerLink]="['/profile']">Profile</a></li>
              <li class="navbar-link {{this.router.url === '/read-later'?'active':''}}"><a class="text-center" [routerLink]="['/read-later']">Read Later</a></li>
              <li class="navbar-link"><a href="javascript:void(0)" (click)="logout()"><i title="Logout" class="fa fa-sign-out"></i></a></li>
            </ul>
          </div>
          <!-- The menu items ends here -->
        </nav>
      </div>
    </div>
  </div>
</div>
